From 9dfa710fd57095cceb025f665e71772f93e6bbe4 Mon Sep 17 00:00:00 2001
From: "lin.sun" <lin.sun@zoom.us>
Date: Fri, 1 Nov 2019 10:25:17 +0800
Subject: [PATCH] Fix the error message from `makefile-move-to-macro'

* makefile-edit.el: regexp-quote the param in makefile-move-to-macro.
With `(global-ede-mode t)' and `(semantic-mode t)' enabled, error
happened when open a Makefile.am which has '$' or '\\' in its macro
list. Simply create a Makefile.am include the line
'AM_LIBTMP_LIBS:=$(shell X \--libs)', open the file with ede and
semantic mode enabled will trigger this issue. Escape the param for
re-search-forward in `makefile-move-to-macro' can fix this.
---
 lisp/cedet/ede/makefile-edit.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/cedet/ede/makefile-edit.el b/lisp/cedet/ede/makefile-edit.el
index 7d8a44b..add1675 100644
--- a/lisp/cedet/ede/makefile-edit.el
+++ b/lisp/cedet/ede/makefile-edit.el
@@ -78,7 +78,7 @@ makefile-move-to-macro
 If NEXT is non-nil, move to the next occurrence of MACRO."
   (let ((oldpt (point)))
     (when (not next) (goto-char (point-min)))
-    (if (re-search-forward (concat "^\\s-*" macro "\\s-*[+:?]?=") nil t)
+    (if (re-search-forward (concat "^\\s-*" (regexp-quote macro) "\\s-*[+:?]?=") nil t)
 	t
       (goto-char oldpt)
       nil)))
-- 
2.2.0

